# RSS čtečka

* Autor: Marek Susčík
* Ke stažení: [stabilní verze][1]

## Co je nového

Abyste se dozvěděli o novinkách, které přinášejí jednotlivé verze RSS čtečky, přejděte na stránku
[Novinky v jednotlivých verzích](news.html)

## Funkce RSS čtečky

Doplněk RSS čtečka vám poskytuje následující funkce:

* přihlášení ke sledování zvolených kanálů
    - kanál lze zadat ručně, pokud znáte jeho adresu
    - nebo lze kanál vybrat z databáze připravených kanálů
* dodatečná úprava názvu kanálu nebo jeho adresy například při její případné změně
* procházení titulů zpráv zveřejněných v přihlášených kanálech
* při procházení zpráv může být volitelně čten také stručnný obsah zprávy
* zobrazení pouze kanálů s nepřečtenými zprávami
* zobrazení zpráv ze všech kanálů v jednom seznamu
* otevření vybrané zprávy ve výchozím webovém prohlížeči
* otevření vybrané zprávy jako text
* možnost v takto otevřené zprávě vyhledávat
* automatické spuštění přehrávání zvukového záznamu v případě podcastu
* spuštění přehrávání zvukového záznamu od místa, kde jste minule skončili
* možnost nastavit hlasitost a rychlost přehrávání zvukového záznamu
* zprávy jsou ukládány, takže o ně nepřijdete v případě, kdy už je kanál nevysílá
* možnost uložení zvukového záznamu v případě podcastu
    - uložení zvukového souboru z aktuálně otevřeného podcastu nebo z jednoho či více vybraných podcastů v seznamu zpráv
    - přidání data a času vydání podcastu nebo pořadového čísla do názvu souboru v závislosti na uživatelském nastavení
* vymazání zpráv, které vás již nezajímají
* automatické mazání zpráv starších než nastavený počet dnů
* archivace zpráv, které jsou pro vás velmi zajímavé
* odeslání vybrané zprávy mailem
* stažení nových zpráv ze všech kanálů nebo pouze z vybraného kanálu
* stahování zpráv ze všech kanálů ve zvoleném časovém intervalu
* automatické stažení nových zpráv pro zvolený kanál při jeho otevření
* automatické stažení všech zpráv při vyvolání okna RSS čtečky
* automatické stahování zvukových záznamů v případě podcastů do uživatelsky nastavitelného umístění
* ohlášení počtu zpráv ve vybraném kanálu
* prohledávání zpráv
* prohledávání Apple podcastů s možností přidat podcast ke sledovaným kanálům
* minimalizace do systémové lišty při nastaveném automatickém stahování zpráv v určitém intervalu
* ukazatel počtu nových zpráv na ikoně v systémové liště
* aktivace tichého stahování při minimalizaci do systémové lišty
* možnost spustit minimalizovanou RSS čtečku spolu se startem NVDA
* automatická kontrola aktualizací doplňku RSS čtečka

## Ovládání RSS čtečky

Okno aplikace RSS čtečka můžete kdykoli vyvolat pomocí kombinace kláves _Ctrl+Shift+I_. Pokud RSS čtečku spouštíte poprvé, budete upozorněni, že ještě nemáte přidané žádné kanály a zda kanály chcete nyní přidat. Odpovíte-li kladně, budete dotázáni, zda chcete vybrat kanál z již předpřipravených kanálů. Pokud i na tuto otázku odpovíte kladně, objeví se seznam kategorií a po zvolení kategorie případně podkategorie se zobrazí seznam kanálů, které pro danou kategorii je v databázi k dispozici. Vy si pak již jen některý kanál zvolíte a stisknete klávesu Enter, čímž bude kanál do čtečky přidán. Pokud byste na otázku, zda chcete vybrat kanál z předpřipravené databáze, odpověděli záporně, objeví se editační pole, do kterého můžete ručně zapsat adresu RSS kanálu. Po stisku Enter bude kanál přidán do RSS čtečky.
Máte-li již v RSS čtečce přidány nějaké kanály, objeví se po vyvolání okna RSS čtečky jejich seznam, ve kterém se můžete pohybovat pomocí šipek nahoru a dolů. Po stisku klávesy _F2_ se dozvíte, kolik zpráv se v aktuálně zvoleném kanálu nachází, případně kolik nových zpráv v tomto kanálu přibylo při stahování nových zpráv od startu NVDA a spuštění čtečky. Počet nových zpráv je u jednotlivých kanálů ohlašován také automaticky. Toto chování se dá změnit v nastavení.
První položka v seznamu kanálů s názvem Vše zobrazí pohromadě všechny zprávy ze všech kanálů. Pokud stisknete klávesu _F2_ na položce Vše, dozvíte se celkový počet zpráv uložených ve vaší RSS čtečce.
Po stisku klávesy _Enter_ se zobrazí seznam zpráv ve zvoleném kanálu. Ve výchozím stavu je nastaveno automatické načtení nových zpráv, takže po otevření kanálu budete mít k dispozici vždy ty nejnovější zprávy. Při pohybu šipkami nahoru a dolů v seznamu zpráv bude přečten vždy titulek zprávy a její stručný obsah. Pomocí klávesy _F2_ si můžete nechat přečíst datum a čas, kdy byla vybraná zpráva vydána a také její pozici, tedy na kolikátém místě z celkového počtu zpráv se zvolená zpráva nachází a jaký je celkový počet zpráv v právě otevřeném kanálu. Pokud použijete klávesu _F2_ při zobrazení všech zpráv ze všech kanálů, dozvíte se kromě data a pořadí zprávy také kanál, ve kterém se vybraná zpráva nachází. Jestliže máte vybráno více zpráv, ohlásí vám klávesa _F2_ počet vybraných zpráv. Kombinací kláves _Ctrl+F2_ si můžete nechat přečíst stručný obsah zprávy. V titulu okna se kromě názvu aktuálního kanálu zobrazí počet nových zpráv zahrnující rovněž zprávy načtené automaticky při otevření kanálu.
Zpět do seznamu kanálů se vrátíte klávesou _Backspace_ nebo klávesou _Escape_. Po návratu do seznamu kanálů bude počet nových zpráv vynulován.

## Otevření zprávy

V seznamu zpráv můžete libovolnou zprávu otevřít stiskem klávesy _Enter_. Zpráva se otevře buď ve výchozím webovém prohlížeči nebo jako text v textovém prohlížeči. Jedná-li se o zvukový podcast, může být automaticky zahájeno jeho přehrávání a to od místa, kde jste naposledy skončili. To, jakým způsobem se zpráva otevře, je ovlivněno položkou Otevírat zprávy jako text či zvuk v dialogu Nastavení.
Pokud chcete zprávu otevřít ve webovém prohlížeči nezávisle na nastavení, můžete místo klávesy _Enter_ stisknout _Ctrl+Enter_. Obdobně pro otevření zprávy v textovém prohlížeči či audiopřehrávači v případě zvukového podcastu můžete nezávisle na nastavení použít _Shift+Enter_.

## Textový prohlížeč

Pokud zprávu otevřete jako text, bude zobrazena v textovém prohlížeči. V tomto prohlížeči můžete se zprávou zacházet stejně jako s libovolným textem, např. pomocí šipek si ji prohlížet, označovat a kopírovat libovolnou část zprávy atd. Budete-li chtít zprávu plynule číst, stačí stisknout _Mezerník_. Pro zastavení čtení použijte libovolnou klávesu. Pro otevření zprávy ve webovém prohlížeči můžete stisknout klávesu _F5_. Ve zprávě můžete rovněž vyhledávat libovolný text. Stačí stisknout _Ctrl+F_, zadat hledaný text a stisknout _Enter_. Kurzor se přesune na místo výskytu hledaného textu a bude vysloven řádek, na kterém se text nachází. Další výskyt stejného textu můžete najít po stisku _F3_, předchozí výskyt po stisku _Shift+F3_.
Textový prohlížeč ukončíte a zpět do seznamu zpráv se dostanete stiskem klávesy _Escape_ nebo _Backspace_, případně můžete použít rovněž _Alt+F4_.

## Audiopřehrávač

Máte-li zapnutou volbu otevírat zprávy jako text či zvuk nebo stisknete-li pro otevření zprávy _Shift+Enter_, budou se zvukové podcasty otevírat v audiopřehrávači, ve kterém se zvukový záznam začne automaticky přehrávat a to od místa, kde jste naposledy přehrávání ukončili.

### Klávesové zkratky Audiopřehrávače

Během přehrávání můžete použít následující klávesy:

* _Mezerník_ - spustí či pozastaví přehrávání
* _šipka vpravo_ - posun o 10 sekund vpřed
* _šipka vlevo_ - posun o 10 sekund zpět
* _Ctrl+šipka vpravo_ - posun o jednu minutu vpřed
* _Ctrl+šipka vlevo_ - posun o jednu minutu zpět
* _Shift+šipka vpravo_ - posun o 3 sekundy vpřed
* _Shift+šipka vlevo_ - posun o 3 sekundy zpět
* _Alt+šipka vpravo_ - posun o 10 minut vpřed
* _Alt+šipka vlevo_ - posun o 10 minut zpět
* _Ctrl+Alt+šipka vpravo_ - posun o 5 minut vpřed
* _Ctrl+Alt+šipka vlevo_ - posun o 5 minut zpět
* _šipka nahoru_ - zvýšení hlasitosti přehrávání
* _šipka dolů_ - snížení hlasitosti přehrávání
* _Ctrl+šipka nahoru_ - zvýšení rychlosti přehrávání
* _Ctrl+šipka dolů_ - snížení rychlosti přehrávání
* _Home_ - přesun na začátek přehrávaného titulu
* _End_ - přesun na konec přehrávaného titulu
* _F2_ - ohlásí informace o uplynulém a zbývajícím čase přehrávání
* _F5_ - otevře přehrávaný podcast v přehrávači VLC
* _Ctrl+S_ - uloží zvukový soubor podcastu do složky se zvukovými soubory určené v nastavení
* _Escape_ nebo _Backspace_ - návrat zpět do čtečky

Použijete-li příkazy pro posun o určitý časový úsek ve chvíli, kdy bude přehrávání zastaveno, bude automaticky oznamován aktuální čas, na který jste se posunuli. Při spuštěném přehrávání tato informace ohlašována nebude.
Veškeré příkazy naleznete také v aplikační nabídce, kterou vyvoláte stiskem klávesy _Alt_.

### Doporučení pro Audiopřehrávač

Aby přehrávání zvukových souborů bylo funkční, je zapotřebí mít v systému nainstalován přehrávač VLC Media Player ve 32bitové verzi.

Pokud se vám stane, že se podcast v Audiopřehrávači nezačne přehrávat, problém může být způsoben neznámým bezpečnostním certifikátem. V takovém případě proveďte následující kroky:

* po otevření podcastu v Audiopřehrávači stiskněte _F5_, čímž otevřete podcast v přehrávači VLC
* pokud se ozve hlášení začínající textem Nezabezpečená stránka, jedná se pravděpodobně o problém s certifikátem
* klávesou _Tabulátor_ se přesuňte na tlačítko Zobrazit certifikát a stiskněte _Enter_
* klávesou _Tabulátor_ se přesuňte na tlačítko Trvale povolit a stiskněte _Enter_.

## Aplikační nabídka

RSS čtečka má svou aplikační nabídku, do níž můžete vstoupit stiskem klávesy _Alt_. Poté můžete šipkou dolů či nahoru prohlížet její položky a kteroukoli z nich provést stiskem klávesy Enter. Většinu položek v aplikační nabídce lze vyvolávat pomocí klávesových zkratek, které jsou u těchto položek uvedeny.
Svou aplikační nabídku mají také okna textového prohlížeče a Audiopřehrávače.

## Přidání nového kanálu

Do RSS čtečky můžete přidat kanál třemi způsoby:

* ručně, pokud znáte adresu kanálu
* z databáze předpřipravených kanálů
* v případě podcastu rovněž vyhledáním v Apple podcastech

### Ruční přidání kanálu

* stiskněte _Ctrl+N_
* zadejte adresu RSS kanálu nebo ji třeba vložte ze schránky
* stiskněte Enter
Adresa bude ověřena, bude zjištěn název kanálu a kanál bude přidán do vašeho seznamu kanálů.

### Přidání kanálu z databáze

* stiskněte _Ctrl+D_
* zvolte kategorii kanálů a stiskněte _Enter_
* vyberte kanál s tiskněte _Enter_
Kanál bude přidán do vašeho seznamu kanálů.

Poznámka: kategorie mohou obsahovat podkategorie. Návrat do nadřazené kategorie můžete provést klávesou _Backspace_.

### Vyhledání podcastu v Apple podcastech

* stiskněte _Ctrl+H_
* napište text, který chcete v Apple podcastech hledat a stiskněte _Enter_
* z výsledků si vyberte podcast a stiskněte _Enter_

## Mazání zpráv a kanálů

Zprávu či kanál můžete vymazat stiskem klávesy _Delete_. Protože zpráv budete možná mazat hodně, můžete v nastavení vypnout dotazování před mazáním zprávy. V nastavení můžete zapnout také automatické mazání zpráv starších než vámi nastavený počet dnů.

## Archivace zpráv

Pokud si budete chtít nějakou zajímavou zprávu schovat, abyste ji třeba při procházení ostatních zpráv omylem nesmazali, můžete ji uložit do archivu pomocí klávesy _F6_. Po jejím stisku zpráva z prohlíženého kanálu zmizí a v seznamu kanálů se na poslední pozici objeví nová položka Archiv. Pokud do ní vstoupíte, zobrazí se vám seznam kanálů, ze kterých jste zprávy archivovali. Po otevření kanálu se zobrazí všechny archivované zprávy ze zvoleného kanálu. Archiv můžete otevřít z nabídky kanálů také pomocí kombinace kláves _Ctrl+F6_.

## Poslání zprávy mailem

Vybranou zprávu můžete někomu poslat mailem tak, že stisknete *Ctrl+E*. Otevře se vaše výchozí poštovní aplikace. V ní bude otevřeno okno pro odeslání nové zprávy, v němž bude jako předmět vyplněn titulek zprávy a do textu zprávy bude vložen stručný obsah zprávy následovaný odkazem na webovou stránku s celou zprávou. Na vás už bude jen do políčka Komu zadat příjemce, kterému chcete zprávu poslat a následně takto připravenou zprávu odeslat.

## Načítání nových zpráv

Můžete načíst nové zprávy pro všechny kanály stiskem klávesy _F5_. Můžete ale také načíst zprávy jen pro právě vybraný kanál stiskem kombinace kláves _Ctrl+F5_. Po načtení nových zpráv zazní zvukový signál a bude ohlášen počet nových zpráv. V průběhu načítání se může ozvat také nízký bzučák, oznamující chybu při načítání, která vám bude ihned ohlášena. Ve výchozím nastavení se nové zprávy načítají automaticky při otevření kanálu. Toto chování lze změnit v nastavení. V nastavení můžete také určit, že se budou nové zprávy načítat automaticky po vyvolání okna RSS čtečky nebo po zvoleném časovém intervalu, např. každou hodinu. Při nastavení stahování zpráv ve zvoleném časovém intervalu dojde při zavření okna čtečky k její minimalizaci do systémové lišty, kde bude čtečka nadále stahovat zprávy ve zvoleném intervalu a to v tichém režimu. Nebude vás tedy rušit oznamováním postupu stahování či počtu nově stažených zpráv. V ikoně RSS čtečky na systémové liště uvidíte počet nových zpráv, které byly staženy v čase, kdy byla čtečka minimalizována.

## Zobrazení kanálů s novými zprávami

V seznamu kanálů můžete stiskem klávesy _F4_ nebo volbou příslušné položky z aplikační nabídky zobrazit pouze ty kanály, ve kterých máte nějaké nové zprávy. Dalším stiskem klávesy _F4_ nebo volbou položky z aplikační nabídky zobrazíte opět všechny kanály. Za nové zprávy jsou pokládány takové zprávy, které jste přijali od spuštění odečítače NVDA a zobrazení RSS čtečky. Pokud některý kanál s novými zprávami otevřete a zobrazíte seznam zpráv v tomto kanálu, bude u něj počet nových zpráv vynulován. Při zobrazení pouze kanálů s novými zprávami nelze přidávat ani mazat kanály. Pokud v tomto zobrazení bude spuštěno stahování zpráv ze všech kanálů a to ručně či automaticky, bude zobrazení přepnuto na zobrazení všech kanálů.

## Změna názvu nebo adresy kanálu

V seznamu kanálů můžete vyvolat na zvoleném kanálu jeho vlastnosti stiskem kombinace kláves _Alt+Enter_. Objeví se okno se dvěma editačními poli. V jednom bude zobrazen název kanálu, ve druhém jeho adresa. Obě tyto hodnoty můžete měnit a stiskem tlačítka OK změni potvrdit, případně tlačítkem Zrušit změny neukládat.

## Prohledávání zpráv

Máte-li zobrazen seznam kanálů, jejichž zprávy odebíráte, můžete prohledat všechny zprávy ve všech kanálech a zjistit tak, zda se v některé ze zpráv nachází vámi zadaný text. Pro vyvolání funkce vyhledávání ve zprávách všech kanálů stiskněte _Ctrl+F_, zadejte hledaný text a stiskněte _Enter_. Zobrazí se seznam kanálů, ve kterých se vyskytují zprávy s textem, který jste zadali. Tyto zprávy zobrazíte po stisku klávesy _Enter_ na zvoleném kanálu. Můžete s nimi pracovat tak, jak jste zvyklí, číst je, mazat atd. Po stisku klávesy _Backspace_ nebo _Escape_ se vrátíte zpět do seznamu kanálů, který však bude stále obsahovat pouze kanály se zprávami obsahujícími hledaný text. Chcete-li zobrazit všechny kanály se všemi zprávami, zvolte položku Zobrazit všechny kanály, která se nachází jako první v seznamu kanálů. Podle výskytu této položky také vždy můžete rozpoznat, že se nacházíte v seznamu výsledků hledání a nikoli v seznamu všech kanálů a zpráv.

## Práce s více zprávami

V seznamu zpráv můžete označit více zpráv pomocí kombinací s klávesou _Shift_, např. _Shift+Šipka dolů_, _Shift+End_ apod. Můžete také označit všechny zprávy pomocí _Ctrl+A_. Počet aktuálně označených zpráv zjistíte po stisku _F2_. Máte-li označeno více zpráv, můžete označené zprávy smazat klávesou _Delete_ nebo je přesunout do archivu klávesou _F6_.

## Ukládání zvukových souborů podcastů

V případě podcastů je možné nastavit RSS čtečku tak, aby automaticky při příjmu nových zpráv ukládala zvukové záznamy do nastavené složky. V této složce pak vždy najdete aktuální soubory s podcasty, které můžete přehrát v libovolném přehrávači či na libovolném jiném zařízení, do něhož je přenesete. Výchozí složka pro ukládání zvukových souborů se jmenuje RSS podcasty a nachází se ve složce Dokumenty. Toto umístění však můžete změnit v okně Nastavení, kde naleznete editační políčko Složka pro zvukové soubory, ve kterém je vypsána aktuálně zvolená složka a rovněž tlačítko Vybrat složku pro ukládání zvukových souborů, po jehož stisknutí se objeví dialogové okno s možnostmi pro výběr libovolné složky.

Aby se zvukové soubory podcastů stahovaly, je třeba mít zaškrtnutou volbu Ukládat zvukové soubory podcastů, která se rovněž nachází v okně Nastavení.

Zvukový soubor podcastu můžete uložit také ručně tak, že v seznamu zpráv zvolíte zprávu, ze které chcete zvukový soubor uložit a stisknete kombinaci kláves _Ctrl+s_. Pokud budete mít vybráno více zpráv, uloží se zvukové soubory ze všech vámi vybraných zpráv. Ukládání probíhá do složky zvolené v nastavení. Po dobu ukládání se ozývá pípání, po skončení je zobrazeno dialogové okno, které o dokončení ukládání informuje.

## Nastavení pro jednotlivé kanály

Každý kanál obsahuje nastavení, které je specifické právě jen pro tento kanál. Do nastavení pro vybraný kanál se dostanete buď z aplikační nabídky nebo pomocí kombinace kláves _Ctrl+F12_. Máte k dispozici tyto možnosti:

* Ukládat zvukové soubory - určuje, zda budou pro zvolený kanál ukládány zvukové soubory podcastů či nikoli
* Přidat před název ukládaného zvukového souboru - z rozbalovacího seznamu můžete zvolit, zda pro zvolený kanál bude před název ukládaného zvukového souboru přidáno datum a čas, pořadové číslo nebo nic.

Pokud je zvolena hodnota Nenastaveno, znamená to, že nastavení pro vybraný kanál se bude řídit hodnotou v dialogu Nastavení dostupného po stisku _F12_

## Import a export seznamu kanálů

Celý seznam kanálů můžete exportovat do souboru ve formátu OPML a poslat jej třeba svému známému, který vámi exportované kanály následně může do své čtečky importovat, čímž je přidá ke svému současnému seznamu kanálů. Při importu stačí jen vybrat OPML soubor, ze kterého chcete kanály do čtečky přidat, při exportu zase jen zvolíte, kam chcete soubor se seznamem kanálů ve formátu OPML uložit a jak jej chcete pojmenovat. Import i export kanálů naleznete v aplikační nabídce.

## Aktualizace doplňku RSS čtečka

RSS čtečka je vybavena systémem automatické kontroly aktualizací. V případě, že bude k dispozici nová verze, budete na tuto skutečnost po spuštění NVDA upozorněni a budete dotázáni, zda tuto novou verzi chcete stáhnout. Pokud odpovíte kladně, dojde ke stažení a ke spuštění instalace nové verze doplňku RSS čtečka.

## Nastavení RSS čtečky

Pomocí nastavení můžete ovlivnit chování RSS čtečky. Do nastavení se dostanete stiskem klávesy _F12_. Máte k dispozici tyto možnosti:

* Otevírat zprávy jako text či zvuk - určuje, zda po stisku Enter bude zpráva otevřena jako text či zvukový záznam v případě podcastu nebo bude otevřena jako webová stránka ve výchozím webovém prohlížeči
* Zeptat se před smazáním zprávy - určuje, zda se po stisku _Delete_ na zprávě objeví dotaz pro smazání nebo za se zpráva rovnou vymaže
* Zeptat se před přesunem zprávy do archivu - určije, zda budete po stisku _F6_ dotázáni na přesun do archivu nebo zda se zpráva přesune bez dotazu
* Automaticky ohlásit počet nových zpráv u kanálu - je-li tato volba zapnuta, bude při procházení kanálů automaticky ohlášen počet nových zpráv u každého kanálu, ve kterém od posledního stažení přibyly nové zprávy
* Automaticky ohlásit popis u zprávy - bude-li zaškrtnuta, bude při procházení zpráv vyslovován také stručný obsah zprávy, pokud tuto volbu vypnete, můžete si popis nechat ohlásit pomocí _Ctrl+F2_
* Po otevření kanálu načíst nové zprávy - je-li tato volba aktivovaná, jsou po otevření kanálu automaticky načítány nové zprávy, pokud ji vypnete, můžete si zprávy pro libovolný kanál načíst pomocí _Ctrl+F5_
* Po spuštění načíst nové zprávy - určuje, zda budou při aktivaci okna RSS čtečky automaticky načítány nové zprávy
* automaticky stahovat nové zprávy - v tomto rozbalovacím seznamu můžete zvolit interval, po kterém budou automaticky stahovány nové zprávy nebo můžete zvolit Vypnuto a stahovat zprávy pouze ručním vyžádáním pomocí _F5_
* Na systémovou lištu po startu NVDA - tato volba je dostupná pouze v případě, máte-li nastaven nějaký interval pro automatické stahování zpráv. Pokud ji aktivujete, bude RSS čtečka spuštěna spolu se startem odečítače NVDA a bude schována na systémovou lištu, kde bude stahovat zprávy ve vámi nastaveném intervalu. Pokud zapnete také volbu Po spuštění načíst nové zprávy, budou po startu NVDA rovněž okamžitě načteny v tichém režimu nové zprávy
* Automaticky mazat starší zprávy - v tomto rozbalovacím seznamu můžete nastavit, zda budou z RSS čtečky automaticky mazány zprávy starší než vámi nastavený počet dnů
* Ukládat zvukové soubory podcastů - pokud tuto volbu zapnete, budou kromě samotných zpráv ukládány rovněž zvukové soubory podcastů
* Složka pro zvukové soubory - v tomto editačním poli můžete zkontrolovat a nebo upravit aktuálně nastavenou složku pro ukládání zvukových souborů podcastů
* Vybrat složku pro ukládání zvukových souborů - po stisku tohoto tlačítka se objeví okno, v němž můžete vzolit složku, do níž budou ukládány zvukové soubory
* Přidat před název ukládaného zvukového souboru - z rozbalovacího seznamu můžete zvolit, zda pro zvolený kanál bude před název ukládaného zvukového souboru přidáno datum a čas, pořadové číslo nebo nic

## Kontakt na autora

Pokud mi budete chtít ohledně RSS čtečky cokoli sdělit, ať už pochvalu, kritiku či nějaký nápad pro její vylepšení, [pošlete mi mail](mailto:markuv.koutek@seznam.cz?subject=RssReader)

[1]: https://suscik.cz/nvda/rss/rssreader.nvda-addon
