# RSS reader

* Author: Marek Susčík
* Download: [stable version][1]

## What's new

To find out about the new features of each version of the RSS reader, go to
[News in each version](news. html)

## RSS Reader Features

The RSS Reader add-on provides the following features:

* subscribe to RSS or ATOM feeds
    - you can enter a feed manually, if you know the address
    - or you can select a feed from a database of feeds
* additional editing of the feed name or address, for example, if it changes
* browsing the messages published in the subscribed feeds
* when browsing the messages, the brief content of the message can be optionally read
* displaying only feeds with unread messages
* displaying messages from all channels in one list
* opening a selected message in the default web browser
* opening a selected message as text
searching text in an opened message
* automatic start of audio playback for podcasts
* starting audio playback from the last played position
* adjusting volume and speed of audio playback
* messages are saved so you don't lose them when the feed is no longer broadcasting
* saving audio from podcasts
    - saving an audio file from the currently open podcast or from one or more selected podcasts in the message list
    - adding the podcast release date and time or a number to the file name depending on user settings
* delete messages you no longer care about
* automatically delete messages older than a set number of days
* archive messages, that are important for you
* emailing a selected message
* receiving new messages from all channels or only from a selected channel
* receiving messages from all feeds at a selected time interval
* automatically receiving new messages for a selected channel when it is opened
* automatically receiving new messages when the RSS reader window is called
* automatically downloading audio podcasts to a user-definable location
* announcing the number of messages in the selected channel
* search for messages
* search for Apple podcasts with the option to add the podcast to your feeds
* minimize to the system tray when set to automatically download messages at a certain interval
* displaying the number of new messages on the system tray icon
* silent receiving of messages when minimized to the system tray
* option to launch the minimized RSS reader together with NVDA start-up
* automatic check for RSS Reader updates 

## Using the RSS reader

You can display the RSS reader window at any time using the key combination _Ctrl+Shift+I_. If you are launching the RSS reader for the first time, you will be notified that you have not yet added any feeds and whether you want to add feeds now. If you answer Yes, you will be asked if you want to select a feed from the feeds database. If you also answer yes to this question, a list of categories will appear, and after selecting a category or subcategory, you will be presented with a list of feeds available in the database for that category. You can then just select a feed and press the Enter key to add the feed to the reader. If you answered no to the question whether you want to select a feed from the database, an edit box will appear in which you can manually enter the RSS feed address. After pressing Enter, the feed will be added to the RSS reader.
If you have already added some feeds to the RSS reader, a list of feeds will appear when you bring up the RSS reader window, which you can navigate using the up and down arrows. Pressing the _F2_ key will tell you how many messages are currently in the selected feed, or how many new messages have been added to the feed since NVDA started and the reader was launched. The number of new messages is also reported automatically for each channel. This behavior can be changed in the settings.
The first item in the feed list called All will show all messages from all feeds together. If you press the _F2_ key on the All item, you will see the total number of messages stored in your RSS reader.
Pressing the _Enter_ key will display a list of messages in the selected feed. By default, new messages are automatically received, so you will always have the latest messages available when you open a feed. As you move by the up and down arrows in the message list, the message title and brief content will always be read. Using the _F2_ key, the date and time of he message will be announced as well as its position, so at what position in the total number of messages the selected message is and what the total number of messages in the currently open feed is. If you use the _F2_ key when displaying all messages from all feeds, you will also see the feed in which the selected message is located, in addition to the date and position of the message. If you have multiple messages selected, the _F2_ key will tell you the number of messages selected. You can use the _Ctrl+F2_ key combination to have the brief content of the message read to you. In addition to the name of the current feed, the window title will display the number of new messages, including messages received automatically when the channel is opened.
To return to the feed list, press the _Backspace_ key or the _Escape_ key. After returning to the feed list, the number of new messages will be reset to zero.

## Open a message

You can open any message in the message list by pressing the _Enter_ key. The message opens either in the default web browser or as text in a text viewer. If it is an audio podcast, it can be automatically played from last position where you left off. How the message is opened is determined by the Open messages as text or audio option in the Settings dialog.
If you want to open the message in a web browser independently of the settings, you can press _Ctrl+Enter_ instead of the _Enter_ key. Similarly, to open a message in a text viewer or audio player in the case of an audio podcast, you can use _Shift+Enter_ independently of the settings.

## Text viewer

If you open the message as text, it will be displayed in a text viewer. In this viewer, you can use standard text commands, e.g. use the arrows to move by characters or lines, highlight and copy any part of the message, etc. If you want to read the message, just press _Spacebar_. Use any key to stop reading. To open the message in a web browser, you can press the _F5_ key. You can also search for any text in the message. Just press _Ctrl+F_, enter the text you are looking for and press _Enter_. The cursor will move to where the search text occurs and the line where the text is located will be spoken. You can find the next occurrence of the same text by pressing _F3_, and the previous occurrence by pressing _Shift+F3_.
To exit the text viewer and get back to the message list, press _Escape_ or _Backspace_, or you can also use _Alt+F4_.

## Audio player

If you have the option to open messages as text or audio turned on, or if you press _Shift+Enter_ to open a message, podcasts will open in the audio player, where the audio will start playing automatically from last played position

### Audio player keyboard shortcuts

You can use the following keys during playback:

* _Spacebar_ - start or pause playback
* _Right Arrow_ - 10 seconds forward 
* _Left Arrow_ - 10 seconds backward 
* _Ctrl+Right Arrow_ - one minute forward
* _Ctrl+Left Arrow_ - one minute backward
* _Shift+Right Arrow_ - 3 seconds forward
* _Shift+Left Arrow_ - 3 seconds backward
* _Alt+Right_ Arrow - 10 minutes forward
* _Alt+Left_ Arrow - 10 minutes backward
* _Ctrl+Alt+Right_ Arrow - 5 minutes forward
* _Ctrl+Alt+Left_ Arrow - 5 minutes backward
* _Up_ Arrow - increase the playback volume
* _Down_ Arrow - decrease the playback volume
* _Ctrl+up_ arrow - increase the playback speed
* _Ctrl+down_ arrow - decrease the playback speed
* _Home_ - move to the beginning of the title being played
* _End_ - move to the end of the title being played
* _F2_ - announce information about elapsed and remaining playback time
* _F5_ - open the podcast being played in the VLC player
* _Ctrl+S_ - save the podcast audio file to the audio file folder specified in the settings
* _Escape_ or _Backspace_ - return to the reader

If you use the commands to move by specific time segment when playback is stopped, the current position will be automatically announced. When playback is running, this information will not be announced.
All commands can also be found in the application menu, which can be accessed by pressing the _Alt_ key.

### Recommendations for Audio Player

To play audio files, you need to have the 32-bit version of VLC Media Player installed on your system.

If you issue trouble that the podcast does not start playing in the Audio Player, the problem may be caused by an unknown security certificate. If this is the case, do the following:

* after opening the podcast in the Audio Player, press _F5_ to open the podcast in the VLC Media Player
* if you get a message starting with Unsecured page, it is probably a problem with the certificate
* use the _Tab_ key to move to the Show certificate button and press _Enter_
* use the _Tab_ key to move to the Permanently enable button and press _Enter_.

## Application Menu

The RSS reader has its own application menu, which can be accessed by pressing the _Alt_ key. You can then use the down or up arrow keys to browse through its items, and press Enter to execute any of them. Most of the items in the application menu can be activated using the keyboard shortcuts listed for those items.
The Text viewer and Audio Player windows also have their own application menus.

## Adding a new feed

You can add a feed to the RSS reader in three ways:

* manually, if you know the feed address
* from the feeds database
* in the case of a podcast, also by searching in Apple podcasts

### Adding a feed manually

* press _Ctrl+N_
* enter the RSS feed address or, for example, paste it from the clipboard
* press Enter

The address will be verified, the feed name will be detected and the feed will be added to your feed list.

### Adding a feed from the database

* press _Ctrl+D_
* select a feed category and press _Enter_
* select a feed and press _Enter_

The feed will be added to your feed list.

Note: categories may contain subcategories. You can return to the previous category by pressing _Backspace_.

### Search for a podcast in Apple Podcasts

* press _Ctrl+H_
* type the text you want to search for in Apple Podcasts and press _Enter_
* choose a podcast from the results and press _Enter_

## Deleting Messages and feeds

You can delete a message or feed by pressing _Delete_. Since you may be deleting a lot of messages, you can turn off asking before deleting a message in the settings. You can also turn on automatic deletion of messages older than the number of days you set in the settings.

## Archiving messages

If you want to save an interesting message so that you don't accidentally delete it while browsing other messages, you can save it to the archive using the _F6_ key. When you press it, the message disappears from the feed you are viewing and a new Archive entry appears in the last position in the feed list. If you enter it, you will see a list of feeds from which you have archived messages. When you open a feed, all archived messages from the selected feed are displayed. You can also open the archive from the feed list using the key combination _Ctrl+F6_.

## Sending message by e-mail

You can email the selected message to someone by pressing *Ctrl+E*. This will open your default mail application. It will open a window to send a new message, in which the subject line will be filled in with the message title and a brief message body will be inserted in the message text followed by a link to the web page with the full message. It will be up to you to enter the recipient you want to send the message to in the To field and then send the message.

## Receiving new messages

You can receive new messages for all feeds by pressing the _F5_ key. However, you can also receive messages only for the currently selected feed by pressing the _Ctrl+F5_ key combination. When new messages are loaded, a beep will sound and the number of new messages will be announced. A low buzzer may also sound during the receiving process to indicate a receiving error, which will be announced imediately to you. By default, new messages are loaded automatically when a channel is opened. This behavior can be changed in the settings. You can also specify in the settings that new messages will be received automatically when the RSS reader window is activated or after a selected time interval, e.g. every hour. If you set the news to be downloaded at the selected time interval, when you close the reader window it will be minimized to the system tray, where the reader will continue to download news at the selected interval in silent mode. It will therefore not disturb you by notifying you of the progress of the download or the number of newly downloaded messages. In the RSS reader icon in the system tray, you will see the number of new messages that have been downloaded during the time the reader was minimized.

## Viewing feeds with new messages

In the feed list, you can press the _F4_ key or select the appropriate item from the application menu to view only those feeds with new messages. Press _F4_ again or select an application menu item to display all channels. New messages are considered to be those messages you have received since you started the NVDA and displayed the RSS reader. If you open a feed with new messages and view the list of messages in that feed, the number of new messages for that feed will be reset to zero. You cannot add or delete feeds when only new message feeds are displayed. If you start downloading messages from all feeds in this view, either manually or automatically, the view will be switched to an all feeds view.

## Change feed name or address

In the feed list, you can display the properties of the selected feed by pressing the _Alt+Enter_ key combination. A window with two edit fields will appear. One will display the feed name, the other its address. You can change both of these values and press the OK button to confirm the changes, or the Cancel button to cancel the changes.

## Searching for messages

If you have displayed a list of the feeds whose messages you subscribe to, you can search all messages in all feeds to see if any of the messages contain the text you specify. To search all feeds, press _Ctrl+F_, enter the text you are looking for and press _Enter_. A list of the feeds that contain messages with the text you entered will be displayed. To view these messages, press _Enter_ on the selected feed. You can work with them as you are used to, read them, delete them, etc. Pressing the _Backspace_ or _Escape_ key will return you to the feed list, but it will still only contain feeds with messages containing the text you are looking for. To view all feeds with all messages, select Show All feeds, which is the first item in the feed list. You can always recognize by the presence of this item that you are in the list of search results and not in the list of all feeds and messages.

## Working with multiple messages

You can mark multiple messages in the message list by using combinations with the _Shift_ key, e.g. _Shift+Down Arrow_, _Shift+End_, etc. You can also mark all messages with _Ctrl+A_. You can find the number of currently marked messages by pressing _F2_. If you have multiple messages marked, you can delete the marked messages with _Delete_ or move them to the archive with _F6_.

## Storing podcast audio files

In the case of podcasts, you can set the RSS reader to automatically save audio files to a set folder when it receives new messages. In this folder, you will always find the current podcast files, which you can play in any player or on any other device to which you transfer them. The default folder for storing audio files is called RSS Podcasts and is located in the Documents folder. However, you can change this location in the Settings window, where you'll find the Audio File Folder edit box, which shows the currently selected folder, as well as the Select Folder button for storing audio files, which when pressed will bring up a dialog box with options for selecting any folder.

In order for podcast audio files to be downloaded, you must have the Save podcast audio files option checked, which is also located in the Settings window.

You can also save a podcast audio file manually by selecting the message you want to save the audio file from in the message list and pressing the _Ctrl+s_ key combination. If you have multiple messages selected, the audio files from all the messages you selected will be saved. Files are stored in the folder selected in the settings. A beep sounds during the save, and a dialog box is displayed when the save is complete.

## Channel-specific settings

Each channel contains settings that are specific to that channel. The settings for the selected channel can be accessed either from the application menu or by using the key combination _Ctrl+F12_. The options available to you are:

* Store audio files - determines whether or not podcast audio files will be stored for the selected channel
* Add before the stored audio file name - from the drop-down list, you can choose whether or not the date and time, sequence number, or nothing will be added before the stored audio file name for the selected channel.

If the value Not set is selected, it means that the settings for the selected channel will follow the value in the Settings dialog available after pressing _F12_

## Importing and exporting the feed list

You can export the entire feed list to an OPML file and send it, for example, to a friend who can then import the exported channels into his reader, adding them to his current feed list. When importing, just select the OPML file from which you want to add the feeds to the reader, and when exporting, just select where you want to save the OPML feed list file and what you want to name it. Import and export of feeds can be found in the application menu.

## Updating the RSS reader add-on

The RSS reader is equipped with an automatic update checking system. When a new version becomes available, you will be notified when NVDA starts and asked if you want to download the new version. If you answer Yes, the new version of the RSS reader add-on will be downloaded and installed.

## RSS reader settings

You can use the settings to influence the behavior of the RSS reader. To access the settings, press the _F12_ key. You have the following options:

* Open messages as text or audio - determines whether, after pressing Enter, the message will be opened as text or audio in the case of a podcast or will be opened as a web page in the default web browser
* Ask before deleting a message - determines whether, after pressing _Delete_ on the message, a delete prompt will appear or if the message will be deleted directly
* Ask before moving the message to the archive - determines, whether you will be prompted to move to the archive after pressing _F6_ or whether the message will be moved without prompting
* Automatically announce the number of new messages for a channel - if this option is enabled, the number of new messages for each channel that has added new messages since the last download will be automatically reported when browsing feeds
* Automatically announce description for messages - if checked, the brief content of the message will also be spoken when browsing messages, if you disable this option, you can have the description announced using _Ctrl+F2_
* Load new messages when channel is opened - if this option is enabled, new messages are automatically loaded when the channel is opened, if you disable this option, you can receive messages for any channel using _Ctrl+F5_
* Receive new messages after launching - specifies, whether new messages will be automatically received when the RSS reader window is activated
* Automatically download new messages - in this drop-down list you can select the interval after which new messages will be automatically downloaded, or you can select Off and download messages only by manual request using _F5_
* On the system tray after NVDA starts - this option is only available if you have set some interval for automatic message downloading. If you activate it, the RSS reader will be started with the start of the NVDA and will be hidden on the system tray, where it will download messages at the interval you set. If you also enable the option Receive new messages after start, new messages will also be received immediately in silent mode when NVDA starts
* Automatically delete older messages - in this drop-down list you can set whether messages older than the number of days you set will be automatically deleted from the RSS reader
* Store podcast audio files - if you enable this option, podcast audio files will be stored in addition to the messages themselves
* Folder for audio files - in this edit box you can check or edit the currently set folder for storing podcast audio files
* Select folder for storing audio files - when you press this button, a window will appear in which you can select a folder, in which the audio files will be saved
* Add before the name of the saved audio file - from the drop-down list you can choose whether the date and time, sequence number or nothing will be added before the name of the saved audio file for the selected channel

## Contact the author

If you want to tell me anything about the RSS reader, either praise, criticism or any idea for its improvement, [send me mail](mailto:markuv.koutek@seznam.cz?subject=RssReader)

[1]: https://suscik. com/nvda/rss/rssreader.nvda-addon
